scala.util.control.Exception

# Finally

#### class Finally extends Described

A container class for finally code.

Source
  Exception.scala

Linear Supertypes
Described, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Finally
2. Described
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from Finally to any2stringadd[Finally] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (Finally, B)

   Implicit information
     This member is added by an implicit conversion from Finally to ArrowAssoc[Finally] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### def and(other: ⇒ Unit): Finally

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### def desc: String

   Definition Classes
     Described

10. #### def ensuring(cond: (Finally) ⇒ Boolean, msg: ⇒ Any): Finally

    Implicit information
      This member is added by an implicit conversion from Finally to Ensuring[Finally] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: (Finally) ⇒ Boolean): Finally

    Implicit information
      This member is added by an implicit conversion from Finally to Ensuring[Finally] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: Boolean, msg: ⇒ Any): Finally

    Implicit information
      This member is added by an implicit conversion from Finally to Ensuring[Finally] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: Boolean): Finally

    Implicit information
      This member is added by an implicit conversion from Finally to Ensuring[Finally] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

16. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

17. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from Finally to StringFormat[Finally] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

18. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

19. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

20. #### def invoke(): Unit

21. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

22. #### val name: String

    Attributes
      protected
    Definition Classes
      Finally → Described

23. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

24. #### final def notify(): Unit

    Definition Classes
      AnyRef

25. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

26. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

27. #### def toString(): String

    Definition Classes
      Described → AnyRef → Any

28. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### def withDesc(s: String): Finally.this.type

    Definition Classes
      Described

32. #### def →[B](y: B): (Finally, B)

    Implicit information
      This member is added by an implicit conversion from Finally to ArrowAssoc[Finally] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Described

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Finally to any2stringadd[Finally]

### Inherited by implicit conversion StringFormat from Finally to StringFormat[Finally]

### Inherited by implicit conversion Ensuring from Finally to Ensuring[Finally]

### Inherited by implicit conversion ArrowAssoc from Finally to ArrowAssoc[Finally]

### Ungrouped